cancel
Showing results for 
Search instead for 
Did you mean: 

ModusToolbox™ General

GrCa_1363456
Contributor II

After installing the ModusToolbox 2.2.1 patch, I don't see any change to the ModusToolbox Eclipse. 

I do now see nine new directories in the tools_2.2 folder. Most are appended with three numbers separated by dots. Directories with the same beginning name, without the added numbers, still exist in the tools_2.2 folder.

Is there a process to update paths within ModusToolbox to point to the current versions of tools?

Specifically:

- How do I access the most recent folders within tools_2.2 from ModusToolbox Eclipse?

- How do I access the most recent tools within tools_2.2 from Modus Shell?  If I type "whereis python" from Modus Shell, the path points to ...ModusToolbox/tools_2.2/python. It should be pointing to ...ModusToolbox/tools_2.2/python-3.7.137

Greg

0 Likes
1 Solution
GrCa_1363456
Contributor II

Dheeraj,

It appears the Secure Policy Configurator can be run from File Explorer by clicking on the .exe file.

FYI - The drop down looks that same as Quick Panel for me.

GrCa_1363456_1-1613100482530.png

Thanks for the help - I don't need this solved - just want the team to be aware before next release.

Greg

 

 

 

View solution in original post

4 Replies
DheerajK_81
Moderator
Moderator

Hello @GrCa_1363456 ,

The ModusToolbox Patch 2.2.1 provides updates to some of the configurators inside the tools_2.2 folder. When you click on any of the configurators listed under the Quick Panel, you should see it fetching the latest patched version of the configurator. Please see the image below for better understanding:
jira_cmp_version.PNG

The way this works is, there is a file named tools_update_a_2.2.1.mk in the tools_2.2 folder which gets read by the internal make system to identify the latest versions of the tools.

What I did find strange is Eclipse IDE doesn't seem to be reporting the updated versions of the configurators. But they do open into the latest one when clicked. I have created a ticket internally with the software team to address this issue. 

Regarding the python issue, you can manually point to the required version and use it while running any commands in the CLI. However, from the Eclipse IDE itself, if there is anything that requires the use of python, it will take this updated 3.7.137 version. 

Hope this helps 🙂

Regards,
Dheeraj

0 Likes
GrCa_1363456
Contributor II

Dheeraj,

Thanks for the tip. Yes, I do now see for those tools that existed in MTB2.2, the newer versions from MTB2.2.1 open up. 

Is there a way to open up the new tools?  Specifically, how can I open the new secure-policy-configurator if it doesn't show up in the Quick Panel?

Regarding Python, the newer version comes with a newer version of cysecuretools 3.x that isn't compatible with an AWS_Demo project I'm running on a current version of a PSoC 64 kit. Can I back out individual tool versions from the new Python? I appear to be ok as long as ModusShell is still pointing to the old version of Python with cysecuretools 2.x.

Greg

0 Likes
DheerajK_81
Moderator
Moderator

Hello @GrCa_1363456 ,

It should actually show up in the Quick Panel. In case it does not, you can right click on the project > ModusToolbox > Secure Policy Configurator as shown in the image below:
secure.png

To point to the latest version of Python, you can edit the environment variable PATH and add the following two values:
C:\Users\<username>\ModusToolbox\tools_2.2\python-3.7.137
C:\Users\<username>\ModusToolbox\tools_2.2\python-3.7.137\Scripts

If you have multiple python installations in your system, move the above two values to the top of the PATH variable to make them the default.

Hope this helps 🙂

Regards,
Dheeraj

0 Likes
GrCa_1363456
Contributor II

Dheeraj,

It appears the Secure Policy Configurator can be run from File Explorer by clicking on the .exe file.

FYI - The drop down looks that same as Quick Panel for me.

GrCa_1363456_1-1613100482530.png

Thanks for the help - I don't need this solved - just want the team to be aware before next release.

Greg

 

 

 

View solution in original post